import 'package:flutter/material.dart';

import '../model/sc_alert_model.dart';

class SCAlertCustomWidget extends StatelessWidget {
  final SCAlertModel model;

  const SCAlertCustomWidget({
    Key? key,
    required this.model,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return Center(
      child: ConstrainedBox(
        constraints: BoxConstraints.expand(
            width: double.infinity, height: double.infinity),
        child: Center(
          child: SingleChildScrollView(
            child: AlertDialog(
              backgroundColor: Theme.of(context).dialogBackgroundColor,
              shape: RoundedRectangleBorder(
                  borderRadius: BorderRadius.circular(model.borderRadius!)),
              titlePadding: EdgeInsets.all(0.0),
              title: Container(
                child: Center(child: model.customWidget),
              ),
            ),
          ),
        ),
      ),
    );
  }
}